> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite

> Create a User and send an invite Magic Link to the provided email.

The User will be created with a `pending` status until they click the Magic Link in the invite email.


## OpenAPI

````yaml POST /v1/magic_links/email/invite
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/magic_links/email/invite:
    post:
      tags:
        - Magic Links
      summary: Invite
      description: >-
        Create a User and send an invite Magic Link to the provided `email`. The
        User will be created with a `pending` status until they click the Magic
        Link in the invite email.


        ### Next steps

        The User is emailed a Magic Link which redirects them to the provided
        [redirect
        URL](https://stytch.com/docs/guides/magic-links/email-magic-links/redirect-routing).
        Collect the `token` from the URL query parameters and call [Authenticate
        Magic Link](https://stytch.com/docs/api/authenticate-magic-link) to
        complete authentication.
      operationId: api_magic_v1_magic_links_email_Invite
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/api_magic_v1_magic_links_email_InviteRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_magic_v1_magic_links_email_InviteResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // POST /v1/magic_links/email/invite
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              email: "sandbox@stytch.com",
            };

            client.MagicLinks.Email.Invite(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// POST /v1/magic_links/email/invite\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/magiclinks/email\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &email.InviteParams{\n\t\tEmail: \"sandbox@stytch.com\",\n\t}\n\n\tresp, err := client.MagicLinks.Email.Invite(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // POST /v1/magic_links/email/invite

            package com.example;


            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.magiclinksemail.InviteRequest;

            import com.stytch.java.consumer.StytchClient;


            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    InviteRequest params = new InviteRequest();
                    params.setEmail("sandbox@stytch.com");

                    Object result = StytchClient.getMagicLinks().getEmail().invite(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: |
            // POST /v1/magic_links/email/invite
            package com.example

            import com.stytch.java.consumer.StytchClient
            import com.stytch.java.consumer.models.magiclinksemail.InviteRequest

            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.magicLinks.email.invite(
                            InviteRequest(
                                email = "sandbox@stytch.com",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // POST /v1/magic_links/email/invite
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              email: "sandbox@stytch.com",
            };

            client.magicLinks.email.invite(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->magic_links->email->invite([
                'email' => 'sandbox@stytch.com',
            ]);
        - lang: python
          label: Python
          source: |
            # POST /v1/magic_links/email/invite
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.magic_links.email.invite(
                email="sandbox@stytch.com",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # POST /v1/magic_links/email/invite
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.magic_links.email.invite(
              email: "sandbox@stytch.com"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // POST /v1/magic_links/email/invite
            use stytch::consumer::client::Client;
            use stytch::consumer::magic_links_email::InviteRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.magic_links.email.invite(
                    InviteRequest{
                        email: "sandbox@stytch.com",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # POST /v1/magic_links/email/invite
            curl --request POST \
              --url https://test.stytch.com/v1/magic_links/email/invite \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -d '{
                "email": "sandbox@stytch.com"
              }'
components:
  schemas:
    api_magic_v1_magic_links_email_InviteRequest:
      type: object
      properties:
        email:
          type: string
          description: The email address of the User to send the invite Magic Link to.
        invite_template_id:
          type: string
          description: >-
            Use a custom template for invite emails. By default, it will use
            your default email template. Templates can be added in the [Stytch
            dashboard](https://stytch.com/dashboard/templates) using our
            built-in customization options or custom HTML templates with type
            “Magic links - Invite”.
        attributes:
          $ref: '#/components/schemas/api_attribute_v1_Attributes'
          description: >-
            Provided attributes to help with fraud detection. These values are
            pulled and passed into Stytch endpoints by your application.
        name:
          $ref: '#/components/schemas/api_user_v1_Name'
          description: The name of the user. Each field in the name object is optional.
        invite_magic_link_url:
          type: string
          description: >-
            The URL the end user clicks from the Email Magic Link. This should
            be a URL that your app receives and parses and subsequently sends an
            API request to authenticate the Magic Link and log in the User. If
            this value is not passed, the default invite redirect URL that you
            set in your Dashboard is used. If you have not set a default sign-up
            redirect URL, an error is returned.
        invite_expiration_minutes:
          type: integer
          format: int32
          description: >-
            Set the expiration for the email magic link, in minutes. By default,
            it expires in 1 hour. The minimum expiration is 5 minutes and the
            maximum is 7 days (10080 mins).
        locale:
          $ref: >-
            #/components/schemas/api_magic_v1_magic_links_email_InviteRequestLocale
          description: >-
            Used to determine which language to use when sending the user this
            delivery method. Parameter is an [IETF BCP 47 language
            tag](https://www.w3.org/International/articles/language-tags/), e.g.
            `"en"`.


            If no value is provided, the copy defaults to English.
        trusted_metadata:
          type: object
          additionalProperties: true
          description: >-
            The `trusted_metadata` field contains an arbitrary JSON object of
            application-specific data. See the
            [Metadata](https://stytch.com/docs/api/metadata) reference for
            complete field behavior details.
        untrusted_metadata:
          type: object
          additionalProperties: true
          description: >-
            The `untrusted_metadata` field contains an arbitrary JSON object of
            application-specific data. Untrusted metadata can be edited by end
            users directly via the SDK, and **cannot be used to store critical
            information.** See the
            [Metadata](https://stytch.com/docs/api/metadata) reference for
            complete field behavior details.
      description: Request type
      required:
        - email
    api_magic_v1_magic_links_email_InviteResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        user_id:
          type: string
          description: The unique ID of the affected User.
        email_id:
          type: string
          description: The unique ID of a specific email address.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - user_id
        - email_id
        - status_code
    api_attribute_v1_Attributes:
      type: object
      properties:
        ip_address:
          type: string
          description: The IP address of the user.
        user_agent:
          type: string
          description: The user agent of the User.
    api_user_v1_Name:
      type: object
      properties:
        first_name:
          type: string
          description: The first name of the user.
        middle_name:
          type: string
          description: The middle name(s) of the user.
        last_name:
          type: string
          description: The last name of the user.
    api_magic_v1_magic_links_email_InviteRequestLocale:
      type: string
      enum:
        - en
        - es
        - pt-br
        - fr
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````